/// <reference types="react" />
export declare const ANGLE: Readonly<{
    [direction: string]: number;
}>;
export declare const BaseIcon: import("react").ForwardRefExoticComponent<{
    inline?: import("theme-ui").ResponsiveStyleValue<boolean>;
    size?: import("theme-ui").ResponsiveStyleValue<"4px" | "6px" | "8px" | "96px" | "64px" | "48px" | "40px" | "32px" | "24px" | "20px" | "18px" | "16px" | "14px" | "12px" | "10px">;
    color?: import("theme-ui").ResponsiveStyleValue<import("../../tokens").SxColor>;
    viewBox?: string | undefined;
} & Omit<import("react").HTMLAttributes<HTMLElement>, "color"> & {
    title: string;
    direction?: "left" | "right" | "down" | "up" | undefined;
} & import("react").RefAttributes<HTMLElement>>;
